<style scoped>
* {
    transition: 0.6s;
}
.fade-enter-active, .fade-leave-active {
    transition: opacity 0.4s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active in <2.1.8 */ {
  opacity: 0;
}



/* 横屏样式 */
@media only screen and (orientation: landscape) {
    .main {
        font-weight: 600;
        background: #E9E9E9;
        font-family: Arial, sans-serif;
    }

}

/* 竖屏样式 */
@media only screen and (orientation: portrait) {
    .main {
        background: #E9E9E9;
        font-family: Arial, sans-serif;
    }

}
</style>




<template><div>
    <div class="main" :style="ASDN66?.dark ? { background: 'black', color: 'white' } : null">

        <!--余量数据-->
        <!--<margin_component style="position:relative;padding:2vmin;"></margin_component>-->
        
        <!--<class_component ></class_component>-->

        <!--采购横列-->
        <purchase_orders_component style="position:relative;"></purchase_orders_component>

        <!--销售订单列表-->
        <orders_component style="position:relative;left:0;bottom:0;right:0;height:44vh;padding:2vmin;"></orders_component>


        <!--添加采购订单-->
        <add_purchase_order_card_component v-show="p_c.add_purchase_order_card_show" style="position:fixed;z-index:99999999;left:50%;top:50%;transform:translate(50%,50%)"></add_purchase_order_card_component>

        <!--添加销售订单-->
        <add_order_card_component v-show="p_c.add_order_card_show"></add_order_card_component>


        <!--合同编辑面板-->
        <edit_contract_plane v-if="p_c.edit_contract_plane_show"></edit_contract_plane>

        <contract_plane></contract_plane>

    </div>
</div></template>





<script setup>
import { ref, reactive, inject, provide } from 'vue';
import { loadModule } from 'vue3-sfc-loader';

const OneStep = inject('OneStep');

//组件模式:在每个main.js中定义自身组件名称的变量,以便在子组件间通信

const ASDN66 = inject('ASDN66'); // 黑白模式


    //body_商务页面传递给子组件的数据，parents_children
    const p_c = reactive({
        add_purchase_order_card_show:false,//新增采购订单_卡片是否显示
        add_order_card_show:false,//新增销售订单_卡片是否显示
        purchase_orders:[],
        orders:[],
        
        add_purchase_order_card:{},
        add_order_card:{},
        
        edit_contract_plane:{},
        edit_contract_plane_show:false,
    })
    Vue.provide('p_c', p_c);









//可用余额
const margin_component = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/margin/margin.vue', options));

const contract_plane = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/contract_plane/contract_plane.vue', options));

//合同编辑面板
const edit_contract_plane = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/edit_contract_plane/edit_contract_plane.vue', options));


const purchase_orders_component = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/purchase_orders/purchase_orders.vue', options));

const orders_component = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/orders/orders.vue', options));
const add_purchase_order_card_component = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/add_purchase_order_card/add_purchase_order_card.vue', options));
const add_order_card_component = Vue.defineAsyncComponent(() => loadModule('/vue/body/commerce/add_order_card/add_order_card.vue', options));

</script>
